<?php
/**
 * MicroEngine CMS
 * https://microengine.jp
 *
 * (c) 2018 MicroEngine Inc.
 */

namespace MicroEngine\Cms\Forms;

class CalendarForm extends ContentForm
{
    /**
     * @var array
     */
    protected $inputs = [
        'type' => [
            'label' => 'カレンダータイプ',
            'value' => '',
            'rule' => 'required',
        ],
        'date' => [
            'label' => '日付',
            'value' => '',
            'rule' => 'required',
        ],
        'visibility' => [
            'label' => '公開設定',
            'value' => '1',
            'rule' => 'required',
        ],
        'published_at' => [
            'label' => '公開開始日時',
            'value' => '',
            'rule' => '',
            'empty' => null,
        ],
        'closed_at' => [
            'label' => '公開終了日時',
            'value' => '',
            'rule' => '',
            'empty' => null,
        ],
        'edit_mode' => [
            'label' => '編集モード',
            'value' => 'create',
            'rule' => '',
        ],
        'revision_id' => [
            'label' => 'リビジョンID',
            'value' => '',
            'rule' => '',
        ],
    ];
}
