<?php
/**
 * MicroEngine CMS
 * https://microengine.jp
 *
 * (c) 2018 MicroEngine Inc.
 */

namespace MicroEngine\Core\Controllers;

use Interop\Container\ContainerInterface;

class Controller
{
    /**
     * @var ContainerInterface
     */
    protected $c;
    /**
     * @var \Slim\Views\Twig
     */
    protected $view;
    /**
     * @var \Slim\Flash\Messages
     */
    protected $flash;

    /**
     * @param ContainerInterface $c
     */
    public function __construct(ContainerInterface $c)
    {
        $this->c = $c;
        $this->view = $c->view;
        $this->flash = $c->flash;
    }
}
