<?php
/**
 * MicroEngine CMS
 * https://microengine.jp
 *
 * (c) 2018 MicroEngine Inc.
 */

namespace MicroEngine\Cms\Models;

use Illuminate\Database\Eloquent\Model;

class CollectionSearch extends Model
{
    /**
     * @var bool タイムスタンプフィールド設定
     */
    public $timestamps = false;

    /**
     * @var array
     */
    protected $fillable = ['content'];

    /**
     * リレーション設定
     */
    public function collection()
    {
        return $this->belongsTo(Collection::class);
    }
}
