<?php
/**
 * MicroEngine CMS
 * https://microengine.jp
 *
 * (c) 2018 MicroEngine Inc.
 */

namespace MicroEngine\Core\Interfaces;

interface FormInterface
{
    public function validate();

    public function setInputValue($data);

    public function getInputValues();

    public function get(string $name);

    public function error(string $name);

    public function hasError();

    public function selected(string $name, $value);

    public function checked(string $name, $value);
}